FROM amazoncorretto:21
ENV APP_NAME urbo-cms

EXPOSE 8080

ADD https://github.com/open-telemetry/opentelemetry-java-instrumentation/releases/download/v2.11.0/opentelemetry-javaagent.jar .

COPY urbo-app/build/libs/urbo-app.jar app.jar

ENV SPRING_PROFILE=prod
ENV SERVICE_NAME=urbco-cms-backend
ENV NAMESPACE=urbo

ENV JAVA_TOOL_OPTIONS "-javaagent:/opentelemetry-javaagent.jar -Dotel.resource.attributes=service.name=$SERVICE_NAME -Dotel.resource.attributes.deployment.environment=$SPRING_PROFILE -Dotel.resource.attributes.service.namespace=$NAMESPACE"

ENTRYPOINT exec java -Dspring.profiles.active="$SPRING_PROFILE" -jar /app.jar
